DOKU Malaysia API Reference
Home
Products
Products
  • Checkout
  • Payment
  • Cards Payment
DOKU Docs
Home
Products
Products
  • Checkout
  • Payment
  • Cards Payment
DOKU Docs
  1. Host-to-Host Payment
  • Introduction
  • Getting Started
    • Create Account
    • Authentication & API Keys
    • Make your first API call
  • Checkout
    • Overview
    • Create Checkout
      POST
    • Retrieve Checkout Status
      GET
  • Payment
    • Overview
    • Create Payment
    • Get Bank List - FPX
    • Retrieve Payment Status
  • Cards Payment
    • Overview
    • Payment Form
      • Request Payment
    • Host-to-Host Payment
      • Check Three D Secure
        POST
      • Charge Payment
        POST
      • Capture Authorized Payment
        POST
    • Request Refund
      POST
    • Unbind Token
      POST
    • Check Status
      GET
  • Notification
    • Overview
    • Setup Notification URL
    • Retry Notification
    • Sample Notification - Global
    • Sample Notification - Cards
  • Technical Reference
    • Authentication & Integrity
    • Idempotency
    • Data Type
    • Order & Transaction Status
    • Postman Collection
    • Response Code
      • Error Code
    • API Version
      • Create Checkout
      • Create Payment
      • Get Bank List - FPX
      • Retrieve Checkout
      • Retrieve Payment
    • Signature
      • Signature - Global
        • Signature
      • Signature - Cards Payment API
        • Signature Component from Request Header
        • Signature Component from Response Header
        • Signature from API Get Method
        • Sample Code
  1. Host-to-Host Payment

Charge Payment

POST
/credit-card/charge
Environment
Sandbox - https://api-sandbox.doku.com
Production - https://api.doku.com

Request

Header Params

Body Params application/json

Examples
{
    "order": {
        "amount": 10000
    },
    "payment": {
        "type": "SALE"
    },
    "card": {
        "token": "1614dc147e404f41f6d2de877fda1f94"
    },
    "three_dsecure": {
        "callback_url_success": "http://www.doku.com/success",
        "callback_url_failed": "http://www.doku.com/failed"
    }
}

Responses

🟢200OK
application/json
Successful response
Bodyapplication/json

Example
{
    "order": {
        "invoice_number": "INV-0001",
        "amount": 10000,
        "descriptor": "BIILING-INV-0001",
        "currency": "MY"
    },
    "customer": {
        "id": "Test001",
        "zip_code": "16455",
        "country": "MY",
        "name": "DOKU Merchant",
        "state": "Malaysia",
        "city": "Selangor",
        "address": "Selangor, Malaysia",
        "phone": "0282938478293",
        "email": "merchant@doku.com"
    },
    "payment": {
        "type": "MOTO",
        "request_id": "418075533589",
        "response_code": "00",
        "response_message": "Approved",
        "status": "SUCCES",
        "approval_code": "112233"
    },
    "card": {
        "token": "536794906625cd02616510faa8460996",
        "masked": "557338*******101",
        "type": "CREDIT",
        "issuer": "OCBC Berhad",
        "brand": "VISA"
    }
}
🟠400Bad Request
🔴500Server Error
Modified at 2026-04-12 12:34:22
Previous
Check Three D Secure
Next
Capture Authorized Payment
Built with